| xmonad-contrib-0.8.1: Third party extensions for xmonad | Contents | Index

XMonad.Util.Dmenu

Portability | unportable
Stability | unstable
Maintainer | Spencer Janssen <spencerjanssen@gmail.com>

Contents

Usage

Description
A convenient binding to dmenu. Requires the process-1.0 package
Synopsis

dmenu :: [String] -> X String
dmenuXinerama :: [String] -> X String
dmenuMap :: Map String a -> X (Maybe a)

Usage

You can use this module with the following in your Config.hs file:

     import XMonad.Util.Dmenu

dmenu :: [String] -> X String
dmenuXinerama :: [String] -> X String
Starts dmenu on the current screen. Requires this patch to dmenu: http://www.jcreigh.com/dmenu/dmenu-3.2-xinerama.patch
dmenuMap :: Map String a -> X (Maybe a)
Produced by Haddock version 2.1.0